com.tibbo.aggregate.common.expression

## Class EnvironmentReferenceResolver

- java.lang.Object
- - com.tibbo.aggregate.common.expression.AbstractReferenceResolver
  - - com.tibbo.aggregate.common.expression.EnvironmentReferenceResolver

- All Implemented Interfaces:
    ReferenceResolver

      public class EnvironmentReferenceResolver
      extends AbstractReferenceResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvironmentReferenceResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `get(java.lang.String variable)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getEnvironment()`
    `java.lang.Object` | `resolveReference(Reference ref, EvaluationEnvironment resolvingEnvironment)`
    `void` | `set(java.lang.String variable, java.lang.Object value)`
    `void` | `setEnvironment(java.util.Map<java.lang.String,java.lang.Object> environment)`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.AbstractReferenceResolver

      `addContextManager, getCallerController, getContextManager, getDefaultContext, getDefaultRow, getDefaultTable, getEvaluator, setCallerController, setContextManager, setDefaultContext, setDefaultRow, setDefaultTable, setEvaluator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvironmentReferenceResolver

          public EnvironmentReferenceResolver()

  - ### Method Detail

    - #### resolveReference

          public java.lang.Object resolveReference(Reference ref,
                                                   EvaluationEnvironment resolvingEnvironment)
                                            throws SyntaxErrorException,
                                                   ContextException,
                                                   EvaluationException

      Throws:
        `SyntaxErrorException`
        `ContextException`
        `EvaluationException`

    - #### set

          public void set(java.lang.String variable,
                          java.lang.Object value)

    - #### get

          public java.lang.Object get(java.lang.String variable)

    - #### setEnvironment

          public void setEnvironment(java.util.Map<java.lang.String,java.lang.Object> environment)

    - #### getEnvironment

          public java.util.Map<java.lang.String,java.lang.Object> getEnvironment()